Saltar al contenido principal
PUT
/
v1
/
production
/
requests
/
{requestReference}
Edit an existing request
curl --request PUT \
  --url https://api.bold-factory.com/v1/production/requests/{requestReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "skuReference": "<string>",
  "requester": "<string>",
  "requiredAvailability": {
    "time": "2023-11-07T05:31:56Z"
  },
  "requestedQuantity": 123,
  "notes": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

requestReference
string
requerido

Cuerpo

application/json
skuReference
string
requerido
requester
string
requerido
requiredAvailability
object
requerido
requestedQuantity
number<double>
requerido
notes
null | string

Respuesta

No Content